;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; CreateLink 3.0
;
; Dieses Programme erweitert den Pfad, in dem AutoCAD nach CTB/STB Dateien
; sucht automatisch um den Pfad, aus dem die aktuelle DWG-Zeichnung geladen
; wurde.
;
; Zur Verwendung muss die Datei 'shelllnk.tlb' in das SYSTEM-Verzeichnis von
; Windows kopiert werden
;
; Aufruf: (Automatisch beim Plotten)
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 3.0                                          Datum: 01.07.2005
; AutoCAD12   [ ]  AutoCAD14   [ ]  AutoCAD2000(i) [ ]   
; AutoCAD2002 [ ]  AutoCAD2004 [ ]  AutoCAD2005    [x]  AutoCAD2006    [x]
; AutoCAD2007 [ ]  AutoCAD2008 [ ]  AutoCAD2009    [x]  AutoCAD2010    [x]
; AutoCAD2011 [ ]
; Freeware    [x]  Shareware   [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Ab AutoCAD2012 werden die CTB/STB Dateien automatisch aus dem Projekt-
; ordner bereitgestellt und CreateLink 3,0 wird daher nicht mehr
; bentigt
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Teile des Codes stammen aus dem Freeware-Paket 'BlackBox' von
; Joachim Hurst, Berlin (www.jhurst.de)
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


(if (not (findfile "createlnk3.dvb"))
	(progn
		(princ "\nCreateLink, Version 3.0 [(c) Dipl.-Ing. Volker Kleppel, www.cadwerk.com]")
		(princ "\nFehler: Kann die Datei 'CREATELNK3.DVB' nicht finden.")
		(princ "\n        Ladevorgang wird abgebrochen!")
	)
	(progn
		(vl-load-com)
		(vl-vbaload (findfile "createlnk3.dvb"))
		(vl-vbarun "createlnk3.dvb!ThisDrawing.CreateLink")
		(princ "\nCreateLink 3.0 geladen")
		(princ "\n[(c) Dipl.-Ing. Volker Kleppel, www.cadwerk.com]")
	)
)

(print)